|  | Home | Documentation | saml2__AdviceType::__saml2__union_AdviceType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AdviceType::__saml2__union_AdviceType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__AdviceType::__saml2__union_AdviceType:
[legend]

## Public Attributes
char *saml2__AssertionIDRef | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionIDRef. More...
char *saml2__AssertionURIRef | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionURIRef. More...
struct saml2__AssertionType *saml2__Assertion | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Assertion. More...
struct saml2__EncryptedElementType *saml2__EncryptedAssertion | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":EncryptedAssertion. More...

## Member Data Documentation

char* saml2__AssertionIDRef saml2__AdviceType::__saml2__union_AdviceType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionIDRef.

Required nillable (xsi:nil when NULL) element.

char* saml2__AssertionURIRef saml2__AdviceType::__saml2__union_AdviceType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionURIRef.

Required nillable (xsi:nil when NULL) element.

struct saml2__AssertionType* saml2__Assertion saml2__AdviceType::__saml2__union_AdviceType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Assertion.

Required nillable (xsi:nil when NULL) element.

struct saml2__EncryptedElementType* saml2__EncryptedAssertion saml2__AdviceType::__saml2__union_AdviceType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":EncryptedAssertion.

Required nillable (xsi:nil when NULL) element.

The documentation for this struct was generated from the following file:

- saml2.h